## brutespray 1.6.0

=== requirements.txt ===
argcomplete==1.8.1
pyscreenshot==0.4.2
pytesseract==0.1.7
lxml==3.8.0
requests==2.12.4
Pillow==4.2.1
beautifulsoup4==4.6.0

=== debian/changelog ===
brutespray (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0
  * d/control bump standards version to 4.1.3

 -- Robert Haist <rhaist@mailbox.org>  Mon, 08 Jan 2018 21:39:22 +0100

brutespray (1.5.3-1) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace
  * Bump debian standards version to 4.1.1
  * wrap-and-sort
  * Add default branch to gbp.conf
  * New upstream version 1.5.3

 -- Robert Haist <rhaist@mailbox.org>  Tue, 17 Oct 2017 16:04:56 +0200

brutespray (1.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #864900)

 -- NEVEU Stephane <stefneveu@gmail.com>  Fri, 16 Jun 2017 10:02:28 +0200

=== debian/control ===
Source: brutespray
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: NEVEU Stephane <stefneveu@gmail.com>
Build-Depends: debhelper (>=10), dh-python, python, ruby-ronn
Homepage: https://github.com/x90skysn3k/brutespray
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-security/brutespray.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/brutespray.git/

Package: brutespray
Depends: medusa,
         python-argcomplete,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: nmap
Architecture: all
Description: Python bruteforce tool
 This Python script takes nmap GNMAP/XML output and automatically brute-forces
 services with default credentials using Medusa.
 BruteSpray can even find non-standard ports by using the -sV inside Nmap.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/brutespray/usr/bin/brutespray.py $(CURDIR)/debian/brutespray/usr/bin/brutespray

#Building manpages
override_dh_installman:
	ronn -r $(CURDIR)/debian/brutespray.1.ronn
	dh_installman

%:
	dh $@ --with python2

## brutespray 1.6.4

=== requirements.txt ===
argcomplete==1.8.1

=== debian/changelog ===
brutespray (1.6.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.4
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Jan 2019 22:16:35 +0100

brutespray (1.6.0-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Bump Standards-Version to 4.1.5.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Stephane Neveu ]
  * update Build-Depends: ruby-ronn -> ronn. Closes: #903076

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 08 Jul 2018 21:42:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: brutespray
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: NEVEU Stephane <stefneveu@gmail.com>
-Build-Depends: debhelper (>=10), dh-python, python, ruby-ronn
+Build-Depends: debhelper (>= 12~), dh-python, python, ronn
 Homepage: https://github.com/x90skysn3k/brutespray
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/brutespray.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/brutespray.git/
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/pkg-security-team/brutespray.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/brutespray
 
 Package: brutespray
 Depends: medusa,

## brutespray 1.6.6

=== debian/changelog ===
brutespray (1.6.6-1) unstable; urgency=medium

  * Team upload

  [ Emmanuel Arias ]
  * Remove Python2 support (Closes: #936243)
  * d/gbp.conf: Add upstream-branch according to the current salsa tree
  * New upstream version 1.6.6
  * Remove install.patch, already applied upstream.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Raphaël Hertzog ]
  * Use debhelper-compat in Build-Depends instead of debian/compat
  * Drop ${shlibs:Depends} as this is an "Architecture: all" package
  * Bump Standards-Version to 4.4.1

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 14 Jan 2020 14:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: NEVEU Stephane <stefneveu@gmail.com>
-Build-Depends: debhelper (>= 12~), dh-python, python, ronn
+Build-Depends: debhelper-compat (= 12), dh-python, python3, ronn
 Homepage: https://github.com/x90skysn3k/brutespray
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/pkg-security-team/brutespray.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/brutespray
 
 Package: brutespray
 Depends: medusa,
-         python-argcomplete,
+         python3-argcomplete,
          ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+         ${python3:Depends}
 Recommends: nmap
 Architecture: all
 Description: Python bruteforce tool

=== debian/watch ===
version=4
  https://github.com/x90skysn3k/brutespray/tags .*/brutespray-(\d\S+)\.tar\.gz

## brutespray 1.6.8

=== requirements.txt ===
argcomplete==1.10.0

=== debian/changelog ===
brutespray (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8
  * Bump to standards-version version 4.5.0
  * Add Rules-Requires-Root: no
  * Update Uploaders field to match changelog
  * Add Autopkgtest

 -- Stephane Neveu <stefneveu@gmail.com>  Sun, 26 Apr 2020 17:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: brutespray
 Section: net
 Priority: optional
+Rules-Requires-Root: no
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: NEVEU Stephane <stefneveu@gmail.com>
+Uploaders: Stephane Neveu <stefneveu@gmail.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3, ronn
 Homepage: https://github.com/x90skysn3k/brutespray
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-security-team/brutespray.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/brutespray

## brutespray 1.8

=== debian/changelog ===
brutespray (1.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Carlos Henrique Lima Melara ]
  * New upstream version 1.8.
  * debian/brutespray.1.ronn: updated manpage.
  * debian/control:
      - Added myself as Uploader.
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.6.1.
      - Ran wrap-and-sort.
  * debian/copyright: updated packaging copyright.
  * debian/gbp.conf: made pristine-tar true.
  * debian/watch: removed empty line and added uscan alias for version/file
    type.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Wed, 03 Aug 2022 07:45:32 +0200

=== debian/control ===
Source: brutespray
Section: net
Priority: optional
Rules-Requires-Root: no
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Stephane Neveu <stefneveu@gmail.com>,
           Carlos Henrique Lima Melara <charlesmelara@outlook.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3, ronn
Homepage: https://github.com/x90skysn3k/brutespray
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/pkg-security-team/brutespray.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/brutespray

Package: brutespray
Depends: medusa, python3-argcomplete, ${misc:Depends}, ${python3:Depends}
Recommends: nmap
Architecture: all
Description: Python bruteforce tool
 This Python script takes nmap GNMAP/XML output and automatically brute-forces
 services with default credentials using Medusa.
 BruteSpray can even find non-standard ports by using the -sV inside Nmap.

## brutespray 1.8.1

=== debian/changelog ===
brutespray (1.8.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Carlos Henrique Lima Melara ]
  * debian/control: update uploader's email address.
  * debian/copyright: update packaging copyright info.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 31 Aug 2023 21:17:58 -0300

brutespray (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * debian/control:
      - Updated Depends field (python3-argcomplete no longer needed).
      - Updated package long description.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sun, 06 Nov 2022 23:08:09 -0300

=== debian/control ===
Source: brutespray
Section: net
Priority: optional
Rules-Requires-Root: no
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Stephane Neveu <stefneveu@gmail.com>,
           Carlos Henrique Lima Melara <charlesmelara@riseup.net>
Build-Depends: debhelper-compat (= 13), dh-python, python3, ronn
Homepage: https://github.com/x90skysn3k/brutespray
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/pkg-security-team/brutespray.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/brutespray

Package: brutespray
Depends: medusa, ${misc:Depends}, ${python3:Depends}
Recommends: nmap
Architecture: all
Description: Python bruteforce tool
 This Python script takes nmap GNMAP/XML output, newline separated JSON,
 Nexpose `XML Export` output or Nessus `.nessus` exports and automatically
 brute-forces services with default credentials using Medusa.
 .
 BruteSpray can even find non-standard ports by using the -sV inside Nmap.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh_installman
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3

=== debian/tests/control ===
Test-Command: brutespray -h
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/x90skysn3k/brutespray/tags .*/brutespray-@ANY_VERSION@@ARCHIVE_EXT@

## brutespray 2.2.2

=== debian/changelog ===
brutespray (2.2.2-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 2.2.2
  * Update build and installation for new release in Go
  * Add allow-stderr in autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Mar 2024 16:30:43 +0100

=== debian/control ===
Source: brutespray
Section: net
Priority: optional
Rules-Requires-Root: no
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Stephane Neveu <stefneveu@gmail.com>,
           Carlos Henrique Lima Melara <charlesmelara@riseup.net>
Build-Depends: debhelper-compat (= 13),
               ronn,
               dh-golang,
               golang-any,
               golang-github-emersion-go-imap-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-gosnmp-gosnmp-dev,
               golang-github-hirochachacha-go-smb2-dev,
               golang-github-jlaffaye-ftp-dev,
               golang-github-lib-pq-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-golang-x-crypto-dev,
               golang-mongodb-mongo-driver-dev,
# for the embedded modules
	       golang-github-gookit-color-dev,
	       golang-github-lithammer-fuzzysearch-dev,
	       golang-github-mattn-go-runewidth-dev,
	       golang-github-mitchellh-mapstructure-dev,
	       golang-golang-x-xerrors-dev,
	       golang-github-google-uuid-dev,
	       golang-nhooyr-websocket-dev,
	       golang-github-pkg-errors-dev,
	       golang-github-containerd-console-dev,
	       golang-go.uber-zap-dev
Homepage: https://github.com/x90skysn3k/brutespray
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: https://salsa.debian.org/pkg-security-team/brutespray.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/pkg-security-team/brutespray
Vcs-Git: https://gitlab.com/kalilinux/packages/brutespray.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/brutespray
XS-Go-Import-Path: github.com/x90skysn3k/brutespray

Package: brutespray
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: nmap
Architecture: any
Description: Bruteforcing from various scanner output
 Brutespray has been re-written in Golang, eliminating the requirement for
 additional tools. This enhanced version is more extensive and operates at a
 significantly faster pace than its Python counterpart. As of now, Brutespray
 accepts input from Nmap's GNMAP/XML output, newline-separated JSON files,
 Nexpose's XML Export feature, Nessus exports in .nessus format, and various
 lists.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build
export GOPROXY=off
export GO111MODULE=off

#Building manpages
override_dh_installman:
	ronn -r $(CURDIR)/debian/brutespray.1.ronn
	dh_installman

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	cp -av debian/vendor _build/src/github.com/x90skysn3k/brutespray

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/tests/control ===
Test-Command: brutespray -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/x90skysn3k/brutespray/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
